<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true" scanPeriod="30 seconds">
    <property resource="application.properties" />

    <appender name="CONSOLE" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>[%X{global}] | [%X{klktxid}] | [%X{klktxidp}] | [%d{yyyy-MM-dd}T%d{HH:mm:ss}] | [${RUNTIME_ENVIRONMENT}] | [OAUTHSERVER] | [%level] | [%logger] | [Metodo:%M Linea:%L %msg]%n</pattern>
        </encoder>
    </appender>

   

   
   
    <logger name="Logger" additivity="false" level="INFO">
        <appender-ref ref="CONSOLE"/>
    </logger>

    <logger name="org.springframework" level="ERROR">
        <appender-ref ref="CONSOLE"/>
    </logger>
    <logger name="my.oauthserver" level="ERROR">
        <appender-ref ref="CONSOLE"/>
    </logger>
   
    <root>
        <level value="INFO"/>
        <appender-ref ref="CONSOLE" />
    </root>
</configuration>
